Create an agent
- Base URL
-
https://{kibana_url}
- POST /api/agent_builder/agents
Create a new agent. Use this endpoint to define the agent's behavior, appearance, and capabilities through comprehensive configuration options. To learn more about agents, refer to the agents documentation.
Required authorization
- Privileges agentBuilder:manageAgents
Request body
-
access_controlobject -
access_moderequired -
Technical Preview; added in 9.4.0. Access-control mode:
public(any privileged user can read/write),shared(any privileged user can read, only owner can write),private(only owner can read/write). Agents created without an access-control mode default toprivate. -
Values:
publicsharedprivate
Response
200
application/json
Indicates a successful response